FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000703FL52.2 Subprogram FLUC (CONV)public2015-07-01 18:312015-07-06 10:12
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.06 
Target Version5.1Fixed in Version5.1.07 
Summary0000703: Write delimiter after each record if defined
DescriptionCurrently a defined delimitter is ignored at record write on record oriented systems.

It would be useful to write if a delimiter defined this delimiter behind each record.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000856)
Falk Reichbott (administrator)
2015-07-01 18:36

For this each write method for records must be doubled.

What is the write solution for FIX length records?
- Write the delimiter in the last bytes of each reacord (padding in between)
- Write the delimiter behind the data and padded afterwards.

What will be happen if the record length too short for the delimitter?

FLAM works on base of netto data records, this will result in a new longer record, this longer record will then if required be padded or if this total record to long the processing will stop, or the record is wrapped or truncated dependent on the mode choosed by the user.
(0000857)
Falk Reichbott (administrator)
2015-07-02 17:37

If a delimiter provided at write with fio.rec() then this deimiter is written at the end of each record. Padding for fix length records are done after wards. If records are wraped then only the last wraped part has the delimiter at the end. If a record cut, then it could be that the delimitter is alos cutted.
(0000858)
Falk Reichbott (administrator)
2015-07-03 22:16

write.record() of CONV command support now also the RECDELIM paramter.

- Issue History
Date Modified Username Field Change
2015-07-01 18:31 Falk Reichbott New Issue
2015-07-01 18:31 Falk Reichbott Status new => assigned
2015-07-01 18:31 Falk Reichbott Assigned To => Falk Reichbott
2015-07-01 18:36 Falk Reichbott Note Added: 0000856
2015-07-02 17:37 Falk Reichbott Note Added: 0000857
2015-07-02 17:37 Falk Reichbott Status assigned => resolved
2015-07-02 17:37 Falk Reichbott Fixed in Version => 5.1.07
2015-07-02 17:37 Falk Reichbott Resolution open => fixed
2015-07-03 22:16 Falk Reichbott Note Added: 0000858
2015-07-06 10:12 Tilo Eckert Summary Write delimitter behind each record => Write delimiter after each record if defined


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker